OpenVDB 12.1.0

Loading...
Searching...
No Matches
SharpenFeaturesOp Class Reference

TBB body object for threaded sharp feature construction. More...

`#include <openvdb_houdini/GeometryUtil.h>`

## Public Types
using | EdgeData = openvdb::tools::MeshToVoxelEdgeData

## Public Member Functions
| SharpenFeaturesOp (GU_Detail &meshGeo, const GU_Detail &refGeo, EdgeData &edgeData, const openvdb::math::Transform &xform, const GA_PrimitiveGroup *surfacePrims=nullptr, const openvdb::BoolTree *mask=nullptr)
void | operator() (const GA_SplittableRange &) const

## Detailed Description

TBB body object for threaded sharp feature construction.

## Member Typedef Documentation

## ◆ EdgeData

using EdgeData = openvdb::tools::MeshToVoxelEdgeData

## Constructor & Destructor Documentation

## ◆ SharpenFeaturesOp()

SharpenFeaturesOp | ( | GU_Detail & | meshGeo,
|  | const GU_Detail & | refGeo,
|  | EdgeData & | edgeData,
|  | const openvdb::math::Transform & | xform,
|  | const GA_PrimitiveGroup * | surfacePrims = nullptr,
|  | const openvdb::BoolTree * | mask = nullptr )

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const GA_SplittableRange & |  | ) | const